<bugID>982428<Summary>Interpret urls with bogus protocols ('site:mozilla.org firefox', 'define:serendipity') as keyword search queries rather than showing an error page</Summary><Description>The rationale here is that users will probably not have the URI scheme model when interacting with our awesome bar. Thus showing an "invalid address" or "malformed URI" error will cause confusion and frustration when their intentions were to search the web.

Instead of showing the either error page, we should just direct them to an internet search.</Description></bugID>